## org.biojava.bio.program.tagvalue
Class RegexFieldFinder

    java.lang.Object
      org.biojava.bio.program.tagvalue.TagValueWrapper
          org.biojava.bio.program.tagvalue.RegexFieldFinder

All Implemented Interfaces:
  TagValueListener

public class RegexFieldFinder
extends TagValueWrapper

Constructor Summary
`RegexFieldFinder(TagValueListener delegate, java.util.regex.Pattern pattern, java.lang.String[] tags, boolean inLine)`

Method Summary
`void` `endTag()` End the current tag.
`void` `startTag(java.lang.Object tag)` Start a new tag.
`void` `value(TagValueContext ctxt, java.lang.Object val)` A value has been seen.

Methods inherited from class org.biojava.bio.program.tagvalue.TagValueWrapper
`endRecord, getDelegate, setDelegate, startRecord`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexFieldFinder

    public RegexFieldFinder(TagValueListener delegate,
                            java.util.regex.Pattern pattern,
                            java.lang.String[] tags,
                            boolean inLine)

Method Detail

### startTag

    public void startTag(java.lang.Object tag)
                  throws ParserException

  Description copied from interface: `TagValueListener`
  Start a new tag.

  Specified by:
    `startTag` in interface `TagValueListener`
  Overrides:
    `startTag` in class `TagValueWrapper`
  Throws:
    `ParserException`

### endTag

    public void endTag()
                throws ParserException

  Description copied from interface: `TagValueListener`
  End the current tag.

  Specified by:
    `endTag` in interface `TagValueListener`
  Overrides:
    `endTag` in class `TagValueWrapper`
  Throws:
    `ParserException`

### value

    public void value(TagValueContext ctxt,
                      java.lang.Object val)
               throws ParserException

  Description copied from interface: `TagValueListener`
  A value has been seen.

  Specified by:
    `value` in interface `TagValueListener`
  Overrides:
    `value` in class `TagValueWrapper`
  Throws:
    `ParserException`